## python-django-appconf 0.5

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-appconf.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-appconf.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-appconf"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-appconf"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-django-appconf (0.5-4) unstable; urgency=medium

  * Adds Suggests: python-appconf-doc (Closes: #764807, #764837).
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Sun, 12 Oct 2014 04:42:44 +0000

python-django-appconf (0.5-3) unstable; urgency=low

  * Ran wrap-and-sort.
  * Added Python3 and -doc packages.
  * Standards-Version is now 3.9.5.
  * Fix s/BSD/BSD-3-clause/ in debian/copyright.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Sep 2014 03:41:16 +0000

python-django-appconf (0.5-2) unstable; urgency=low

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 May 2013 07:57:13 +0000

python-django-appconf (0.5-1) experimental; urgency=low

  * Initial release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Oct 2012 11:45:53 +0000

=== debian/control ===
Source: python-django-appconf
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 8),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-django (>= 1.1),
               python-setuptools,
               python3-all (>= 3.2),
               python3-django,
               python3-setuptools,
               python-sphinx
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-django-appconf.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/python-django-appconf.git
Homepage: http://pypi.python.org/pypi/django-appconf/

Package: python-appconf
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-django, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Suggests: python-appconf-doc
Description: helper class handling configuration defaults of apps - Python 2.x
 Say you have an app with a few defaults, which you want to refer to in the
 app's code without repeating yourself all the time. Django-appconf provides
 a simple helper class to implement those defaults.
 .
 This package provides the Python 2.x module.

Package: python3-appconf
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python3-django, ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Suggests: python-appconf-doc
Description: helper class handling configuration defaults of apps - Python 3.x
 Say you have an app with a few defaults, which you want to refer to in the
 app's code without repeating yourself all the time. Django-appconf provides
 a simple helper class to implement those defaults.
 .
 This package provides the Python 3.x module.

Package: python-appconf-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)   
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: helper class handling configuration defaults of apps - doc
 Say you have an app with a few defaults, which you want to refer to in the
 app's code without repeating yourself all the time. Django-appconf provides
 a simple helper class to implement those defaults.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/jezdez/django-appconf.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-appconf; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-appconf; \
	done

override_dh_sphinxdoc:
	sphinx-build -b html docs debian/python-appconf-doc/usr/share/doc/python-appconf-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-django-appconf 1.0.1

=== debian/changelog ===
python-django-appconf (1.0.1-4) unstable; urgency=medium

  * Fix Breaks+Replaces to fix upgrades (Closes: #802099).

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2015 17:07:59 +0000

python-django-appconf (1.0.1-3) unstable; urgency=medium

  * Transition to python-django-appconf instead of python-appconf, thanks to
    Michael Fladischer <fladi@debian.org> for the bug report (Closes: #799263).

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 08:24:13 +0000

python-django-appconf (1.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 08:19:01 +0000

python-django-appconf (1.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed upstream VCS URLs.
  * Switche to debhelper 9.
  * Fixed watch file to use Github tags and not broken PyPi.
  * Running unit tests at build time.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Sep 2015 15:40:24 +0200

=== debian/control ===
Source: python-django-appconf
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools,
Build-Depends-Indep: python-django,
                     python-six,
                     python3-django,
                     python3-six,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-django-appconf.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/python-django-appconf.git
Homepage: https://github.com/jezdez-archive/django-appconf

Package: python-django-appconf
Architecture: all
Depends: python-django,
         python-six,
         ${misc:Depends},
         ${python:Depends},
Breaks: python-appconf (<< 1.0.1-3~),
Replaces: python-appconf (<< 1.0.1-3~),
Provides: python-appconf,
          ${python:Provides},
Suggests: python-django-appconf-doc,
Description: helper class handling configuration defaults of apps - Python 2.7
 Say you have an app with a few defaults, which you want to refer to in the
 app's code without repeating yourself all the time. Django-appconf provides
 a simple helper class to implement those defaults.
 .
 This package provides the Python 2.x module.

Package: python-appconf
Section: oldlibs
Architecture: all
Depends: python-django-appconf,
         ${misc:Depends},
Description: helper class handling configuration defaults of apps - 2.7 transition package
 Say you have an app with a few defaults, which you want to refer to in the
 app's code without repeating yourself all the time. Django-appconf provides
 a simple helper class to implement those defaults.
 .
 This is a transitional package to upgrade to python-django-appconf, and it is
 safe to remove.

Package: python3-django-appconf
Architecture: all
Depends: python3-django,
         python3-six,
         ${misc:Depends},
         ${python3:Depends},
Provides: python3-appconf,
          ${python3:Provides},
Breaks: python3-appconf (<< 1.0.1-3~),
Replaces: python3-appconf (<< 1.0.1-3~),
Suggests: python-django-appconf-doc,
Description: helper class handling configuration defaults of apps - Python 3.x
 Say you have an app with a few defaults, which you want to refer to in the
 app's code without repeating yourself all the time. Django-appconf provides
 a simple helper class to implement those defaults.
 .
 This package provides the Python 3.x module.

Package: python3-appconf
Section: oldlibs
Architecture: all
Depends: python3-django-appconf,
         ${misc:Depends},
Description: helper class handling configuration defaults of apps - 3.x transition package
 Say you have an app with a few defaults, which you want to refer to in the
 app's code without repeating yourself all the time. Django-appconf provides
 a simple helper class to implement those defaults.
 .
 This is a transitional package to upgrade to python3-django-appconf, and it is
 safe to remove.

Package: python-django-appconf-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Breaks: python-appconf-doc (<< 1.0.1-3~),
Replaces: python-appconf-doc (<< 1.0.1-3~),
Provides: python-appconf-doc,
Description: helper class handling configuration defaults of apps - doc
 Say you have an app with a few defaults, which you want to refer to in the
 app's code without repeating yourself all the time. Django-appconf provides
 a simple helper class to implement those defaults.
 .
 This package contains the documentation.

Package: python-appconf-doc
Section: oldlibs
Architecture: all
Depends: python-django-appconf-doc,
         ${misc:Depends},
Description: helper class handling configuration defaults of apps - transition package
 Say you have an app with a few defaults, which you want to refer to in the
 app's code without repeating yourself all the time. Django-appconf provides
 a simple helper class to implement those defaults.
 .
 This is a transitional package to upgrade to python-django-appconf-doc, and it
 is safe to remove.

=== debian/rules ===
--- 
+++ 
@@ -3,24 +3,34 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/jezdez/django-appconf.git
+UPSTREAM_GIT = git://github.com/jezdez-archive/django-appconf.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
 override_dh_auto_install:
-	set -e && for pyvers in $(PYTHONS); do \
+	set -e ; for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-appconf; \
+			--root $(CURDIR)/debian/python-django-appconf; \
 	done
-	set -e && for pyvers in $(PYTHON3S); do \
+	set -e ; for pyvers in $(PYTHON3S); do \
 		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python3-appconf; \
+			--root $(CURDIR)/debian/python3-django-appconf; \
 	done
 
+override_dh_auto_test:
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	echo "===> Running tests"
+	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
+		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
+		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+		PYTHON=python$$i PYTHONPATH=. django-admin test -v2 --settings=tests.test_settings ; \
+	done
+endif
+
 override_dh_sphinxdoc:
-	sphinx-build -b html docs debian/python-appconf-doc/usr/share/doc/python-appconf-doc/html
+	sphinx-build -b html docs debian/python-django-appconf-doc/usr/share/doc/python-django-appconf-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 
 # Commands not to run

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/jezdez-archive/django-appconf/tags .*/(\d[\d\.]+)\.tar\.gz

## python-django-appconf 1.0.2

=== debian/changelog ===
python-django-appconf (1.0.2-3) unstable; urgency=medium

  * Team upload.
  * d/watch: Change to correct URL and allow "v" as tag prefix (Closes: #843901)
  * d/rules: Change UPSTREAM_GIT to correct upstream URL
  * Build docs with Python 3 version of Sphinx

 -- Ondřej Nový <onovy@debian.org>  Mon, 06 Nov 2017 17:27:10 +0100

python-django-appconf (1.0.2-2) unstable; urgency=medium

  * Uploading to unstable.
  * Switch to debhelper 10.
  * Fixed debian/copyright ordering.
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Oct 2017 19:02:19 +0000

python-django-appconf (1.0.2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Prefixing all debhelper files.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Now using pkgos-dh_auto_install.
  * Rewrote removes-privacy-breach.patch.
  * Removed transition packages.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Oct 2017 22:55:19 +0200

=== debian/control ===
Source: python-django-appconf
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-setuptools,
 python3-sphinx,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python-django,
 python-six,
 python3-django,
 python3-six,
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python/python-django-appconf.git
Vcs-Git: https://anonscm.debian.org/git/openstack/python/python-django-appconf.git
Homepage: https://github.com/jezdez-archive/django-appconf

Package: python-django-appconf
Architecture: all
Depends:
 python-django,
 python-six,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-django-appconf-doc,
Description: helper class handling configuration defaults of apps - Python 2.7
 Say you have an app with a few defaults, which you want to refer to in the
 app's code without repeating yourself all the time. Django-appconf provides
 a simple helper class to implement those defaults.
 .
 This package provides the Python 2.x module.

Package: python-django-appconf-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: helper class handling configuration defaults of apps - doc
 Say you have an app with a few defaults, which you want to refer to in the
 app's code without repeating yourself all the time. Django-appconf provides
 a simple helper class to implement those defaults.
 .
 This package contains the documentation.

Package: python3-django-appconf
Architecture: all
Depends:
 python3-django,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-appconf-doc,
Description: helper class handling configuration defaults of apps - Python 3.x
 Say you have an app with a few defaults, which you want to refer to in the
 app's code without repeating yourself all the time. Django-appconf provides
 a simple helper class to implement those defaults.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,23 +1,13 @@
 #!/usr/bin/make -f
 
-PYTHONS:=$(shell pyversions -vr)
-PYTHON3S:=$(shell py3versions -vr)
-
-UPSTREAM_GIT = git://github.com/jezdez-archive/django-appconf.git
+UPSTREAM_GIT := https://github.com/django-compressor/django-appconf.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
 override_dh_auto_install:
-	set -e ; for pyvers in $(PYTHONS); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-django-appconf; \
-	done
-	set -e ; for pyvers in $(PYTHON3S); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python3-django-appconf; \
-	done
+	pkgos-dh_auto_install
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))

## python-django-appconf 1.0.3

=== debian/changelog ===
python-django-appconf (1.0.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.

  [ Thomas Goirand ]
  * New upstream release.
  * Rebased removes-privacy-breach.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2019 21:31:10 +0200

python-django-appconf (1.0.2-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Removed Python 2 support.
  * Patch tests/test_settings.py for Django 2.2.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jul 2019 20:32:53 +0200

=== debian/control ===
Source: python-django-appconf
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-django,
 python3-six,
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-django-appconf
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-django-appconf.git
Homepage: https://github.com/jezdez-archive/django-appconf

Package: python-django-appconf-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: helper class handling configuration defaults of apps - doc
 Say you have an app with a few defaults, which you want to refer to in the
 app's code without repeating yourself all the time. Django-appconf provides
 a simple helper class to implement those defaults.
 .
 This package contains the documentation.

Package: python3-django-appconf
Architecture: all
Depends:
 python3-django,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-appconf-doc,
Description: helper class handling configuration defaults of apps - Python 3.x
 Say you have an app with a few defaults, which you want to refer to in the
 app's code without repeating yourself all the time. Django-appconf provides
 a simple helper class to implement those defaults.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/django-compressor/django-appconf.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "===> Running tests"
	set -e ; set -x ; for i in $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		PYTHON=python$$i PYTHONPATH=. django-admin test -v2 --settings=tests.test_settings ; \
	done
endif

override_dh_sphinxdoc:
	python3 -m sphinx -b html docs debian/python-django-appconf-doc/usr/share/doc/python-django-appconf-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

## python-django-appconf 1.0.5

=== debian/changelog ===
python-django-appconf (1.0.5-3) unstable; urgency=medium

  * Cleans better (Closes: #1045968).

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Aug 2023 12:11:39 +0200

python-django-appconf (1.0.5-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 11:17:53 +0100

python-django-appconf (1.0.5-1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.0.
  * Removed correctly-configures-test_settings.py.patch now useless as
    upstream fixed it.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Feb 2022 10:07:55 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,11 @@
 
 %:
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+
+override_dh_clean:
+	dh_clean
+	rm -rf build
+	find . -type d -name __pycache__ -exec rm -r {} \+
 
 override_dh_auto_clean:
 	echo "Do nothing..."

## python-django-appconf 1.0.6

=== debian/changelog ===
python-django-appconf (1.0.6-1) unstable; urgency=medium

  * New upstream release.
  * Clean-up the egg-info on clean.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Feb 2024 10:39:13 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_clean:
 	dh_clean
-	rm -rf build
+	rm -rf build *.egg-info
 	find . -type d -name __pycache__ -exec rm -r {} \+
 
 override_dh_auto_clean:

## python-django-appconf 1.1.0

=== debian/changelog ===
python-django-appconf (1.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 12:00:23 +0200

python-django-appconf (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Refreshed / rebased patches.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Aug 2025 12:58:05 +0200

python-django-appconf (1.0.6-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090488).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 11:11:12 +0100

python-django-appconf (1.0.6-2) unstable; urgency=medium

  * Drop extraneous python3-six dependency (Closes: #1061401).

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Mar 2024 08:41:44 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,7 @@
  python3-sphinx,
 Build-Depends-Indep:
  python3-django,
- python3-six,
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-django-appconf
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-django-appconf.git
 Homepage: https://github.com/jezdez-archive/django-appconf
@@ -36,7 +35,6 @@
 Architecture: all
 Depends:
  python3-django,
- python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_clean:
 	dh_clean
@@ -34,4 +34,4 @@
 
 override_dh_sphinxdoc:
 	python3 -m sphinx -b html docs debian/python-django-appconf-doc/usr/share/doc/python-django-appconf-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc -O--buildsystem=pybuild

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/django-compressor/django-appconf/tags .*/v?(\d[\d\.]+)\.tar\.gz

## python-django-appconf 1.2.0

=== debian/changelog ===
python-django-appconf (1.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2026 15:08:05 +0100

python-django-appconf (1.1.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1045968).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Feb 2026 13:02:26 +0100
